<?xml version="1.0"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Sales:etc/sales.xsd">
    <section name="quote">
        <group name="totals">
            <item name="bloyal_discount" instance="Bloyal\Calculatecart\Model\Quote\Address\Total\BloyalDiscount" sort_order="300"/>
			<item name="giftcardamountused" instance="Bloyal\Calculatecart\Model\Totals\Quote" sort_order="300"/>
			<item name="loyaltydollarused" instance="Bloyal\Calculatecart\Model\Totals\LoyaltyQuote" sort_order="300"/>
        </group>
    </section>
    <section name="order_invoice">
        <group name="totals">
            <item name="bloyal_discount" instance="Bloyal\Calculatecart\Model\Order\Total\Invoice\BloyalDiscount" sort_order="100"/>
            <item name="discount" instance="Bloyal\Calculatecart\Model\Order\Total\Invoice\Discount" sort_order="300"/>
			<item name="giftcardamountused" instance="Bloyal\Calculatecart\Model\Totals\Order\Invoice" sort_order="100"/>
			<item name="loyaltydollarused" instance="Bloyal\Calculatecart\Model\Totals\Order\LoyaltyInvoice" sort_order="100"/>
        </group>
    </section>
    <section name="order_creditmemo">
        <group name="totals">
            <item name="bloyal_discount" instance="Bloyal\Calculatecart\Model\Order\Total\Creditmemo\BloyalDiscount" sort_order="100"/>
			<item name="discount" instance="Bloyal\Calculatecart\Model\Order\Total\Creditmemo\Discount" sort_order="300"/>
			<item name="giftcardamountused" instance="Bloyal\Calculatecart\Model\Totals\Order\Creditmemo" sort_order="100"/>
			<item name="loyaltydollarused" instance="Bloyal\Calculatecart\Model\Totals\Order\LoyaltyCreditmemo" sort_order="100"/>
        </group>
    </section>
</config>